Summary:	Support for the webtools package
Name:		webtools_support
Version:	2.0
Release:	2.ru
Group:		System Environment/Base
License:	Rutgers
Source:		%{name}-%{version}.tgz
BuildRoot:	/var/tmp/%{name}-root
Requires:	webtools = 2.0
Requires:	css-utils

%description
Various template files for webtools.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p 0755 $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
mkdir -p 0755 $RPM_BUILD_ROOT/usr/local/lib64/webtools/html
mkdir -p 0755 $RPM_BUILD_ROOT/usr/local/lib64/webtools/html/support
mkdir -p 0755 $RPM_BUILD_ROOT/usr/local/lib64/webtools/config

install -c -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/config/support_config.php.sample $RPM_BUILD_ROOT/usr/local/lib64/webtools/config/
install -c -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/html/index.php $RPM_BUILD_ROOT/usr/local/lib64/webtools/html/support/
install -c -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/html/my.js $RPM_BUILD_ROOT/usr/local/lib64/webtools/html/support/
install -c -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/html/searchbecome.php $RPM_BUILD_ROOT/usr/local/lib64/webtools/html/support/
install -c -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/README $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
install -c -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/Changelog $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
install -c -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/Todo $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc
%defattr(0700,root,other)
/usr/local/lib64/webtools/html/*
/usr/local/lib64/webtools/config/*
/usr/share/doc/%{name}-%{version}/README
/usr/share/doc/%{name}-%{version}/Changelog
/usr/share/doc/%{name}-%{version}/Todo


%changelog
* Wed May 23 2012 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu 2.0-2.ru
- Fixed directory error
* Wed May 23 2012 Kaitlin Poskaitis <katiepru@nbcs.rutgers.edu> 2.0-1.ru
- Initial build
